[android-components](../../index.md) / [mozilla.components.concept.sync](../index.md) / [DeviceEventsObserver](./index.md)

# DeviceEventsObserver

`interface DeviceEventsObserver` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/sync/src/main/java/mozilla/components/concept/sync/DeviceEvents.kt#L10)

Allows monitoring events targeted at the current device.

### Functions

| Name | Summary |
|---|---|
| [onEvents](on-events.md) | `abstract fun onEvents(events: `[`List`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-list/index.html)`<`[`DeviceEvent`](../-device-event/index.md)`>): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) |
